Schedules

Get the schedule

GET
/v1/channels/{id}/schedule

Scope: channels:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/schedule'
Example Response
{  "version": {    "id": "f3626338-0b09-4a1f-890c-8f51359da9d5",    "versionNum": 181,    "itemCount": 102,    "itemsStored": 102,    "horizonStart": "2026-10-28T04:00:00.000Z",    "horizonEnd": "2026-11-05T04:00:00.000Z",    "modelId": "apply-campaigns",    "generatedAt": "2026-10-30T09:06:45.587Z",    "settingsHash": "1348d5e125decfdbc8265c4f6e8c742bf1f4a29c6f1aaf4d126c5979561628d7"  },  "published": {    "versionNum": 181,    "settingsHash": "1348d5e125decfdbc8265c4f6e8c742bf1f4a29c6f1aaf4d126c5979561628d7"  },  "adBreaks": {    "count": 816,    "seconds": 68340,    "programmeSeconds": 59160  },  "items": [    {      "id": "1e777211-7143-4484-8e68-cbbfa2cec0ca",      "assetId": "d5f3b61e-3f15-411d-a8cd-a518f88f57f3",      "startsAt": "2026-10-28T04:00:00.000Z",      "endsAt": "2026-10-28T05:30:00.000Z",      "slotRuntimeMin": 90,      "daypart": "E2E Weekday",      "blockLabel": "E2E Weekday: family animation",      "isFiller": false,      "adOverride": null,      "title": "Toy Story",      "posterUrl": "https://image.tmdb.org/t/p/w500/uXDfjJbdP4ijW5hWSBrPrlKpxab.jpg",      "rating": "G",      "year": 1995,      "lockId": null,      "breaks": [        {          "kind": "pre",          "sequence": 1,          "durationSec": 60,          "spots": 2,          "offsetMin": 0,          "offsetSec": 0,          "scteEventType": "TIME_SIGNAL",          "scteEventId": 775139,          "breakId": "BRK001"        },        {          "kind": "mid",          "sequence": 2,          "durationSec": 90,          "spots": 3,          "offsetMin": 16,          "offsetSec": 960,          "scteEventType": "TIME_SIGNAL",          "scteEventId": 452758,          "breakId": "BRK002"        }      ]    },    {      "id": "2402ac50-0f0a-40ed-8540-845543ca8623",      "assetId": "88b71c61-7769-4a60-b39a-433a8e4aed4a",      "startsAt": "2026-10-28T05:30:00.000Z",      "endsAt": "2026-10-28T07:27:00.000Z",      "slotRuntimeMin": 117,      "daypart": "E2E Weekday",      "blockLabel": "E2E Weekday: family animation",      "isFiller": false,      "adOverride": null,      "title": "Coco",      "posterUrl": "https://image.tmdb.org/t/p/w500/6Ryitt95xrO8KXuqRGm1fUuNwqF.jpg",      "rating": "PG",      "year": 2017,      "lockId": null,      "breaks": [        {          "kind": "pre",          "sequence": 1,          "durationSec": 60,          "spots": 2,          "offsetMin": 0,          "offsetSec": 0,          "scteEventType": "TIME_SIGNAL",          "scteEventId": 246363,          "breakId": "BRK001"        },        {          "kind": "mid",          "sequence": 2,          "durationSec": 90,          "spots": 3,          "offsetMin": 16,          "offsetSec": 960,          "scteEventType": "TIME_SIGNAL",          "scteEventId": 823982,          "breakId": "BRK002"        }      ]    }  ]}